
QGIS Application - Bug report #11654

qgis 2.6/master always saves shapefiles as "multi"

2014-11-16 12:08 AM - Patrick Palmier

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Vectors

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 19905

Description

new description:

qgis 2.6/master always saves shapefiles as "multi" (even shapes that have been just transformed to singlepart), this is desnecessary and

makes tools fail, like the distance matrix.

This was not the case in previous releases.

old descriotion:

Hello,

I'm working with Qgis 2.6.1 x64 on win7

Since a few days distance matrix doesn't ork anymore. When I try to run with to point layers in the same CRS, the result is like the layers

are not in the same CRS, because the nearest neighbor is always the same (for ecah point) corresponding to the point with the smallest

latitude, and the distance is about more 600000m  for each node. But in qgis both layer are in the same CRS and have similar

coordinates.

It worked fine few days ago, but not now. I don't know what happened so that it doesn't operate correctly anymore. But there are no error

message, it just wrong resultst

Did someone has ever encountered such problems

In my personnal PC on linux it works fine

Thanks

Related issues:

Duplicates QGIS Application - Bug report # 11597: XY columns are not exported... Closed 2014-11-07

History

#1 - 2014-11-16 01:11 AM - Giovanni Manghi

- Category set to 44

- Status changed from Open to Feedback

please attach sample data.

#2 - 2014-11-17 02:15 AM - Patrick Palmier

- File tools_feedback.zip added
Hello,

Plaese find 2 layers in order to test

I think after some research that the problem may come by the fact that  Qgis 2.6 saves systematically Point layers into Multipoint layers which are ignored

by distance matrix processing.

#3 - 2014-11-17 11:50 AM - Giovanni Manghi

- Target version set to Version 2.8

- Affected QGIS version changed from 2.6.0 to master

- Priority changed from Normal to Severe/Regression

- Status changed from Feedback to Open

- Category changed from 44 to Vectors

- Subject changed from ftools distance matrix to qgis 2.6/master always saves shapefiles as "multi"

I think after some research that the problem may come by the fact that  Qgis 2.6 saves systematically Point layers into Multipoint layers which are

ignored by distance matrix processing.

yes, this is the real bug

#4 - 2014-12-04 04:42 AM - Giovanni Manghi

As QGIS now saves all shapes as multipart many tools are basically broken with such shapes, including editing tools (like "add ring") and many

geoprocessing tools.

#5 - 2014-12-04 05:20 AM - Jürgen Fischer

Giovanni Manghi wrote:

As QGIS now saves all shapes as multipart many tools are basically broken with such shapes, including editing tools (like "add ring") and many

geoprocessing tools.

It only did when the source was a shapefile - and it only does now when at least one feature of the shape file is multipart (see also #11597)

#6 - 2014-12-04 05:46 AM - Giovanni Manghi

Jürgen Fischer wrote:

Giovanni Manghi wrote:

As QGIS now saves all shapes as multipart many tools are basically broken with such shapes, including editing tools (like "add ring") and many

geoprocessing tools.

It only did when the source was a shapefile - and it only does now when at least one feature of the shape file is multipart (see also #11597)
so it this to be considered fixed/invalid?

#7 - 2014-12-04 08:39 AM - Jürgen Fischer

Giovanni Manghi wrote:

so it this to be considered fixed/invalid?

yes, unless you verified the problem in 2.6.1 or master.  But then it's likely unrelated to the problem that was introduced by the fix for #10584.

#8 - 2014-12-05 02:16 AM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Open to Closed

Jürgen Fischer wrote:

Giovanni Manghi wrote:

so it this to be considered fixed/invalid?

yes, unless you verified the problem in 2.6.1 or master.  But then it's likely unrelated to the problem that was introduced by the fix for #10584.

ok. Can we improve the message "the inserted ring in not contained in a feature" that is shown when the user try add a ring to a multipolygon shape? The

message is completely misleading.

"the inserted ring in not contained in a feature or multipolygon shapefile" (or something like that) is probably better.
